const replace = require("replace");
const fs = require('fs');
const pkg = require('../package.json');

const srcPaths = ['./build/template/package.json'];
const distPaths = ['./dist/package.json']
const replacements = [
  {
    find: '<@VERSION@>',
    replace: pkg.version
  }
]
srcPaths.forEach((src, index) => {
  console.log(src);
  console.log(distPaths[index]);
  fs.writeFile(distPaths[index], fs.readFileSync(src).toString(), function (err) {
    replacements.forEach(function (obj) {
      replace({
        regex: obj.find,
        replacement: obj.replace,
        paths: [distPaths[index]],
        recursive: true,
        silent: true
      });
    });
  });
});