// 需要校验的 API
export const ValidateAPIList = {
  // TUIChatEngine
  ENGINE: {
    logout: 1,
    destroy: 1,
  },
  CONV: {
    // ConversationModel
    deleteConversation: 1,
    pinConversation: 1,
    muteConversation: 1,

    // TUIConversationService
    switchConversation: 1,
    getConversationProfile: 1,
    clearHistoryMessage: 1,
  },
  CHAT: {
    // MessageModel
    modifyMessage: 1,
    revokeMessage: 1,
    resendMessage: 1,
    deleteMessage: 1,
    quoteMessage: 1,
    replyMessage: 1,
    setMessageExtensions: 1,
    deleteMessageExtensions: 1,
    getMessageExtensions: 1,

    // TUIChatService
    sendTextMessage: 1,
    sendTextAtMessage: 1,
    sendImageMessage: 1,
    sendAudioMessage: 1,
    sendVideoMessage: 1,
    sendFileMessage: 1,
    sendCustomMessage: 1,
    sendFaceMessage: 1,
    sendLocationMessage: 1,
    sendForwardMessage: 1,
    enterTypingState: 1,
    leaveTypingState: 1,
    sendMessageReadReceipt: 1,
    getGroupMessageReadMemberList: 1,
    getMessageList: 1,
    downloadMergedMessages: 1,
    setTranslationLanguage: 1,
    translateText: 1,
    searchCloudMessages: 1,
    addMessageReaction: 1,
    removeMessageReaction: 1,
    getMessageReactions: 1,
    getAllUserListOfMessageReaction: 1,
  },
  GRP: {
    // TUIGroupService
    switchGroup: 1,
    getGroupProfile: 1,
    updateGroupProfile: 1,
    createGroup: 1,
    dismissGroup: 1,
    searchGroupByID: 1,
    joinGroup: 1,
    quitGroup: 1,
    getGroupApplicationList: 1,
    handleGroupApplication: 1,
    getGroupOnlineMemberCount: 1,
    changeGroupOwner: 1,
    initGroupAttributes: 1,
    setGroupAttributes: 1,
    deleteGroupAttributes: 1,
    getGroupAttributes: 1,
    setGroupCounters: 1,
    increaseGroupCounter: 1,
    decreaseGroupCounter: 1,
    getGroupCounters: 1,
    getGroupMemberList: 1,
    getGroupMemberProfile: 1,
    addGroupMember: 1,
    deleteGroupMember: 1,
    setGroupMemberMuteTime: 1,
    setGroupMemberRole: 1,
    setGroupMemberNameCard: 1,
    setGroupMemberCustomField: 1,
    markGroupMemberList: 1,
  },
  USER: {
    // TUIUserService
    switchUserStatus: 1,
    switchMessageReadStatus: 1,
    getUserProfile: 1,
    updateMyProfile: 1,
    addToBlacklist: 1,
    removeFromBlacklist: 1,
  },
  FRIEND: {
    // TUIFriendService
    getFriendList: 1,
    addFriend: 1,
    deleteFriend: 1,
    checkFriend: 1,
    getFriendProfile: 1,
    updateFriend: 1,
    acceptFriendApplication: 1,
    refuseFriendApplication: 1,
    deleteFriendApplication: 1,
    setFriendApplicationRead: 1,
  },
};
