"use strict";
exports.__esModule = true;
var common_utils_1 = require("../utils/common-utils");
var GroupModel = /** @class */ (function () {
    function GroupModel(options) {
        this.groupAttributes = {};
        this.groupCounters = {};
        this.initProxy(options);
    }
    /**
     * 初始化挂载 group 字段
     */
    GroupModel.prototype.initProxy = function (options) {
        var _this = this;
        Object.keys(options).forEach(function (key) {
            if (!common_utils_1.isPrivateKey(key)) {
                _this[key] = options[key];
            }
        });
    };
    return GroupModel;
}());
exports["default"] = GroupModel;
